AWS
probe ELBv2

# all_targets_healthy

Return true/false based on if all targets for listed target groups are healthy

Run it now
View details

Type | probe
Module | chaosaws.elbv2.probes
Name | all_targets_healthy
Return | mapping

Usage

JSON

    {
      "name": "all-targets-healthy",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosaws.elbv2.probes",
        "func": "all_targets_healthy",
        "arguments": {
          "tg_names": []
        }
      }
    }

YAML

    name: all-targets-healthy
    provider:
      arguments:
        tg_names: []
      func: all_targets_healthy
      module: chaosaws.elbv2.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
tg_names | list |  | Yes | Target Group Names | List of target group names

Signature

    def all_targets_healthy(
            tg_names: List[str],
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- AWS
  probe ELBv2

  ## `is_access_log_enabled`

  Verify access logging enabled on load balancer
- AWS
  action ELBv2

  ## `set_security_groups`

  Changes the security groups for the specified load balancer(s)
- AWS
  action ELBv2

  ## `delete_load_balancer`

  Deletes the provided load balancer(s)